import{S as cl,i as ml,s as pl,e as n,k as d,w as k,t as r,M as hl,c as a,d as o,m as c,a as s,x as v,h as i,b as l,G as e,g as u,y as b,q as y,o as L,B as $,v as fl,L as jn}from"../../chunks/vendor-hf-doc-builder.js";import{T as Hr}from"../../chunks/Tip-hf-doc-builder.js";import{D as x}from"../../chunks/Docstring-hf-doc-builder.js";import{C as to}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as qe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Bn}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function ul(q){let p,T;return p=new to({props:{code:`from transformers import LlamaModel, LlamaConfig

# Initializing a LLaMA llama-7b style configuration
configuration = LlamaConfig()

# Initializing a model from the llama-7b style configuration
model = LlamaModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LlamaModel, LlamaConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a LLaMA llama-7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = LlamaConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model from the llama-7b style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = LlamaModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){k(p.$$.fragment)},l(h){v(p.$$.fragment,h)},m(h,_){b(p,h,_),T=!0},p:jn,i(h){T||(y(p.$$.fragment,h),T=!0)},o(h){L(p.$$.fragment,h),T=!1},d(h){$(p,h)}}}function _l(q){let p,T,h,_,w;return _=new to({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){p=n("p"),T=r("sequence pair mask has the following format:"),h=d(),k(_.$$.fragment)},l(f){p=a(f,"P",{});var g=s(p);T=i(g,"sequence pair mask has the following format:"),g.forEach(o),h=c(f),v(_.$$.fragment,f)},m(f,g){u(f,p,g),e(p,T),u(f,h,g),b(_,f,g),w=!0},p:jn,i(f){w||(y(_.$$.fragment,f),w=!0)},o(f){L(_.$$.fragment,f),w=!1},d(f){f&&o(p),f&&o(h),$(_,f)}}}function gl(q){let p,T;return p=new to({props:{code:`
[1, 15043, 445, 338, 263, 1243]`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LlamaTokenizerFast

tokenizer = LlaTokenizerFast.from_pretrained(&quot;hf-internal-testing/llama-tokenizer&quot;)
tokenizer.encode(&quot;Hello this is a test&quot;)
&gt;&gt;&gt; [<span class="hljs-number">1</span>, <span class="hljs-number">15043</span>, <span class="hljs-number">445</span>, <span class="hljs-number">338</span>, <span class="hljs-number">263</span>, <span class="hljs-number">1243</span>]`}}),{c(){k(p.$$.fragment)},l(h){v(p.$$.fragment,h)},m(h,_){b(p,h,_),T=!0},p:jn,i(h){T||(y(p.$$.fragment,h),T=!0)},o(h){L(p.$$.fragment,h),T=!1},d(h){$(p,h)}}}function kl(q){let p,T,h,_,w;return{c(){p=n("p"),T=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),_=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){p=a(f,"P",{});var g=s(p);T=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(g,"CODE",{});var P=s(h);_=i(P,"Module"),P.forEach(o),w=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(f,g){u(f,p,g),e(p,T),e(p,h),e(h,_),e(p,w)},d(f){f&&o(p)}}}function vl(q){let p,T,h,_,w;return{c(){p=n("p"),T=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),_=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){p=a(f,"P",{});var g=s(p);T=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(g,"CODE",{});var P=s(h);_=i(P,"Module"),P.forEach(o),w=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(f,g){u(f,p,g),e(p,T),e(p,h),e(h,_),e(p,w)},d(f){f&&o(p)}}}function bl(q){let p,T,h,_,w;return _=new to({props:{code:`from transformers import AutoTokenizer, LlamaForCausalLM

model = LlamaForCausalLM.from_pretrained(PATH_TO_CONVERTED_WEIGHTS)
tokenizer = AutoTokenizer.from_pretrained(PATH_TO_CONVERTED_TOKENIZER)

prompt = "Hey, are you consciours? Can you talk to me?"
inputs = tokenizer(prompt, return_tensors="pt")

# Generate
generate_ids = model.generate(inputs.input_ids, max_length=30)
tokenizer.batch_decode(generate_ids, skip_special_tokens=True, clean_up_tokenization_spaces=False)[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, LlamaForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>model = LlamaForCausalLM.from_pretrained(PATH_TO_CONVERTED_WEIGHTS)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(PATH_TO_CONVERTED_TOKENIZER)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(prompt, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Generate</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>generate_ids = model.generate(inputs.input_ids, max_length=<span class="hljs-number">30</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(generate_ids, skip_special_tokens=<span class="hljs-literal">True</span>, clean_up_tokenization_spaces=<span class="hljs-literal">False</span>)[<span class="hljs-number">0</span>]
<span class="hljs-string">&quot;Hey, are you consciours? Can you talk to me?\\nI&#x27;m not consciours, but I can talk to you.&quot;</span>`}}),{c(){p=n("p"),T=r("Example:"),h=d(),k(_.$$.fragment)},l(f){p=a(f,"P",{});var g=s(p);T=i(g,"Example:"),g.forEach(o),h=c(f),v(_.$$.fragment,f)},m(f,g){u(f,p,g),e(p,T),u(f,h,g),b(_,f,g),w=!0},p:jn,i(f){w||(y(_.$$.fragment,f),w=!0)},o(f){L(_.$$.fragment,f),w=!1},d(f){f&&o(p),f&&o(h),$(_,f)}}}function yl(q){let p,T,h,_,w;return{c(){p=n("p"),T=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=n("code"),_=r("Module"),w=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(f){p=a(f,"P",{});var g=s(p);T=i(g,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a(g,"CODE",{});var P=s(h);_=i(P,"Module"),P.forEach(o),w=i(g,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),g.forEach(o)},m(f,g){u(f,p,g),e(p,T),e(p,h),e(h,_),e(p,w)},d(f){f&&o(p)}}}function Ll(q){let p,T,h,_,w,f,g,P,Wn,Jo,J,le,oo,Fe,Hn,no,Rn,Ko,$t,Gn,Zo,Tt,Vn,Qo,wt,ao,Un,Yo,zt,Xn,en,de,Et,Jn,Pe,Kn,Zn,Ae,Qn,Ie,Yn,ea,tn,Oe,on,Mt,so,ta,nn,De,an,Ct,oa,sn,xt,j,na,Se,aa,sa,ro,ra,ia,io,la,da,rn,A,ca,Ne,ma,pa,Be,ha,fa,je,ua,_a,We,ga,ka,ln,K,ce,lo,He,va,co,ba,dn,O,Re,ya,Ge,La,qt,$a,Ta,wa,Z,za,Ft,Ea,Ma,Pt,Ca,xa,qa,me,cn,Q,pe,mo,Ve,Fa,po,Pa,mn,C,Ue,Aa,ho,Ia,Oa,At,Xe,Da,he,Je,Sa,Ke,Na,fo,Ba,ja,Wa,S,Ze,Ha,uo,Ra,Ga,fe,Va,_o,Ua,Xa,ue,Qe,Ja,go,Ka,pn,Y,_e,ko,Ye,Za,vo,Qa,hn,z,et,Ya,bo,es,ts,yo,os,ns,ge,as,tt,ss,It,rs,is,ls,W,ot,ds,Lo,cs,ms,$o,ps,hs,ke,nt,fs,ee,us,To,_s,gs,wo,ks,vs,bs,H,at,ys,Ot,Ls,Dt,$s,Ts,zo,ws,zs,St,st,fn,te,ve,Eo,rt,Es,Mo,Ms,un,F,it,Cs,lt,xs,Nt,qs,Fs,Ps,dt,As,ct,Is,Os,Ds,be,Ss,Co,Ns,Bs,xo,js,Ws,R,mt,Hs,oe,Rs,Bt,Gs,Vs,qo,Us,Xs,Js,ye,_n,ne,Le,Fo,pt,Ks,Po,Zs,gn,ae,ht,Qs,N,ft,Ys,se,er,jt,tr,or,Ao,nr,ar,sr,$e,rr,Te,kn,re,we,Io,ut,ir,Oo,lr,vn,E,_t,dr,Do,cr,mr,Wt,Ht,pr,hr,fr,D,ur,So,_r,gr,No,kr,vr,Bo,br,yr,jo,Lr,$r,Tr,gt,wr,Rt,zr,Er,Mr,kt,Cr,vt,xr,qr,Fr,G,bt,Pr,ie,Ar,Gt,Ir,Or,Wo,Dr,Sr,Nr,ze,bn;return f=new qe({}),Fe=new qe({}),Oe=new to({props:{code:`python src/transformers/models/llama/convert_llama_weights_to_hf.py \\
    --input_dir /path/to/downloaded/llama/weights --model_size 7B --output_dir /output/path`,highlighted:`python src/transformers/models/llama/convert_llama_weights_to_hf.py \\
    --input_dir /path/to/downloaded/llama/weights --model_size 7B --output_dir /output/path`}}),De=new to({props:{code:`from transformers import LlamaForCausalLM, LlamaTokenizer

tokenizer = LlamaTokenizer.from_pretrained("/output/path")
model = LlamaForCausalLM.from_pretrained("/output/path")`,highlighted:`<span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> LlamaForCausalLM, LlamaTokenizer

tokenizer = LlamaTokenizer.from_pretrained(<span class="hljs-string">&quot;/output/path&quot;</span>)
model = LlamaForCausalLM.from_pretrained(<span class="hljs-string">&quot;/output/path&quot;</span>)`}}),He=new qe({}),Re=new x({props:{name:"class transformers.LlamaConfig",anchor:"transformers.LlamaConfig",parameters:[{name:"vocab_size",val:" = 32000"},{name:"hidden_size",val:" = 4096"},{name:"intermediate_size",val:" = 11008"},{name:"num_hidden_layers",val:" = 32"},{name:"num_attention_heads",val:" = 32"},{name:"hidden_act",val:" = 'silu'"},{name:"max_position_embeddings",val:" = 2048"},{name:"initializer_range",val:" = 0.02"},{name:"rms_norm_eps",val:" = 1e-06"},{name:"use_cache",val:" = True"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"tie_word_embeddings",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.LlamaConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32000) &#x2014;
Vocabulary size of the LLaMA model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaModel">LlamaModel</a>`,name:"vocab_size"},{anchor:"transformers.LlamaConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimension of the hidden representations.`,name:"hidden_size"},{anchor:"transformers.LlamaConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 11008) &#x2014;
Dimension of the MLP representations.`,name:"intermediate_size"},{anchor:"transformers.LlamaConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.LlamaConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.LlamaConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the decoder.`,name:"hidden_act"},{anchor:"transformers.LlamaConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 2048) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.LlamaConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.LlamaConfig.rms_norm_eps",description:`<strong>rms_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the rms normalization layers.`,name:"rms_norm_eps"},{anchor:"transformers.LlamaConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.LlamaConfig.tie_word_embeddings(bool,",description:`<strong>tie_word_embeddings(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to tie weight embeddings
Example &#x2014;`,name:"tie_word_embeddings(bool,"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/configuration_llama.py#L31"}}),me=new Bn({props:{anchor:"transformers.LlamaConfig.example",$$slots:{default:[ul]},$$scope:{ctx:q}}}),Ve=new qe({}),Ue=new x({props:{name:"class transformers.LlamaTokenizer",anchor:"transformers.LlamaTokenizer",parameters:[{name:"vocab_file",val:""},{name:"unk_token",val:" = '<unk>'"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"pad_token",val:" = None"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"add_bos_token",val:" = True"},{name:"add_eos_token",val:" = False"},{name:"clean_up_tokenization_spaces",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L49"}}),Xe=new x({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.LlamaTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L178"}}),Je=new x({props:{name:"get_special_tokens_mask",anchor:"transformers.LlamaTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.LlamaTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L189",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Ze=new x({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids.`,name:"token_ids_0"},{anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L226",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),fe=new Bn({props:{anchor:"transformers.LlamaTokenizer.create_token_type_ids_from_sequences.example",$$slots:{default:[_l]},$$scope:{ctx:q}}}),Qe=new x({props:{name:"save_vocabulary",anchor:"transformers.LlamaTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:""},{name:"filename_prefix",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizer.save_vocabulary.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
The directory in which to save the vocabulary.`,name:"save_directory"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama.py#L151",returnDescription:`
<p>Paths to the files saved.</p>
`,returnType:`
<p><code>Tuple(str)</code></p>
`}}),Ye=new qe({}),et=new x({props:{name:"class transformers.LlamaTokenizerFast",anchor:"transformers.LlamaTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"clean_up_tokenization_spaces",val:" = False"},{name:"unk_token",val:" = '<unk>'"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.LlamaTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a .model extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.LlamaTokenizerFast.tokenizer_file",description:`<strong>tokenizer_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/huggingface/tokenizers" rel="nofollow">tokenizers</a> file (generally has a .json extension) that
contains everything needed to load the tokenizer.`,name:"tokenizer_file"},{anchor:"transformers.LlamaTokenizerFast.clean_up_tokenization_spaces",description:`<strong>clean_up_tokenization_spaces</strong> (<code>str</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Wether to cleanup spaces after decoding, cleanup consists in removing potential artifacts like extra
spaces.`,name:"clean_up_tokenization_spaces"},{anchor:"transformers.LlamaTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.`,name:"bos_token"},{anchor:"transformers.LlamaTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.LlamaTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama_fast.py#L35"}}),ge=new Bn({props:{anchor:"transformers.LlamaTokenizerFast.example",$$slots:{default:[gl]},$$scope:{ctx:q}}}),ot=new x({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.LlamaTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.LlamaTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3057",returnDescription:`
<p>The model input with special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),nt=new x({props:{name:"get_special_tokens_mask",anchor:"transformers.LlamaTokenizerFast.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.LlamaTokenizerFast.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids of the first sequence.`,name:"token_ids_0"},{anchor:"transformers.LlamaTokenizerFast.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
List of ids of the second sequence.`,name:"token_ids_1"},{anchor:"transformers.LlamaTokenizerFast.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3502",returnDescription:`
<p>1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p>A list of integers in the range [0, 1]</p>
`}}),at=new x({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.LlamaTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.LlamaTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.LlamaTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3037",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),st=new x({props:{name:"save_vocabulary",anchor:"transformers.LlamaTokenizerFast.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/tokenization_llama_fast.py#L102"}}),rt=new qe({}),it=new x({props:{name:"class transformers.LlamaModel",anchor:"transformers.LlamaModel",parameters:[{name:"config",val:": LlamaConfig"}],parametersDescription:[{anchor:"transformers.LlamaModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig">LlamaConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.
config &#x2014; LlamaConfig`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L431"}}),mt=new x({props:{name:"forward",anchor:"transformers.LlamaModel.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"attention_mask"},{anchor:"transformers.LlamaModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.LlamaModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L482"}}),ye=new Hr({props:{$$slots:{default:[kl]},$$scope:{ctx:q}}}),pt=new qe({}),ht=new x({props:{name:"class transformers.LlamaForCausalLM",anchor:"transformers.LlamaForCausalLM",parameters:[{name:"config",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L611"}}),ft=new x({props:{name:"forward",anchor:"transformers.LlamaForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"attention_mask"},{anchor:"transformers.LlamaForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.LlamaForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.</p>
<p>Args &#x2014;
labels (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>):
Labels for computing the masked language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code> or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored
(masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L639",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig"
>LlamaConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>)</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithPast"
>transformers.modeling_outputs.CausalLMOutputWithPast</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$e=new Hr({props:{$$slots:{default:[vl]},$$scope:{ctx:q}}}),Te=new Bn({props:{anchor:"transformers.LlamaForCausalLM.forward.example",$$slots:{default:[bl]},$$scope:{ctx:q}}}),ut=new qe({}),_t=new x({props:{name:"class transformers.LlamaForSequenceClassification",anchor:"transformers.LlamaForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.LlamaForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/llama#transformers.LlamaConfig">LlamaConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L780"}}),bt=new x({props:{name:"forward",anchor:"transformers.LlamaForSequenceClassification.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.LlamaForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.LlamaForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p>If <code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).</p>
<p>If you want to change padding behavior, you should read <code>modeling_opt._prepare_decoder_attention_mask</code>
and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more
information on the default strategy.</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"attention_mask"},{anchor:"transformers.LlamaForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.n_positions - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.LlamaForSequenceClassification.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.LlamaForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.LlamaForSequenceClassification.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.LlamaForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.LlamaForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.LlamaForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.LlamaForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/modeling_llama.py#L798"}}),ze=new Hr({props:{$$slots:{default:[yl]},$$scope:{ctx:q}}}),{c(){p=n("meta"),T=d(),h=n("h1"),_=n("a"),w=n("span"),k(f.$$.fragment),g=d(),P=n("span"),Wn=r("LLaMA"),Jo=d(),J=n("h2"),le=n("a"),oo=n("span"),k(Fe.$$.fragment),Hn=d(),no=n("span"),Rn=r("Overview"),Ko=d(),$t=n("p"),Gn=r("The LLaMA model was proposed in [LLaMA: Open and Efficient Foundation Language Models](LLaMA: Open and Efficient Foundation Language Models)  by Hugo Touvron, Thibaut Lavril, Gautier Izacard, Xavier Martinet, Marie-Anne Lachaux, Timoth\xE9e Lacroix, Baptiste Rozi\xE8re, Naman Goyal, Eric Hambro, Faisal Azhar, Aurelien Rodriguez, Armand Joulin, Edouard Grave, Guillaume Lample. It is a collection of foundation language models ranging from 7B to 65B parameters."),Zo=d(),Tt=n("p"),Vn=r("The abstract from the paper is the following:"),Qo=d(),wt=n("p"),ao=n("em"),Un=r("We introduce LLaMA, a collection of foundation language models ranging from 7B to 65B parameters. We train our models on trillions of tokens, and show that it is possible to train state-of-the-art models using publicly available datasets exclusively, without resorting to proprietary and inaccessible datasets. In particular, LLaMA-13B outperforms GPT-3 (175B) on most benchmarks, and LLaMA-65B is competitive with the best models, Chinchilla-70B and PaLM-540B. We release all our models to the research community."),Yo=d(),zt=n("p"),Xn=r("Tips:"),en=d(),de=n("ul"),Et=n("li"),Jn=r("Weights for the LLaMA models can be obtained from by filling out "),Pe=n("a"),Kn=r("this form"),Zn=d(),Ae=n("li"),Qn=r("After downloading the weights, they will need to be converted to the Hugging Face Transformers format using the "),Ie=n("a"),Yn=r("conversion script"),ea=r(". The script can be called with the following (example) command:"),tn=d(),k(Oe.$$.fragment),on=d(),Mt=n("ul"),so=n("li"),ta=r("After conversion, the model and tokenizer can be loaded via:"),nn=d(),k(De.$$.fragment),an=d(),Ct=n("p"),oa=r(`Note that executing the script requires enough CPU RAM to host the whole model in float16 precision (even if the biggest versions
come in several checkpoints they each contain a part of each weight of the model, so we need to load them all in RAM). For the 65B model, it\u2019s thus 130GB of RAM needed.`),sn=d(),xt=n("ul"),j=n("li"),na=r("The LLaMA tokenizer is based on "),Se=n("a"),aa=r("sentencepiece"),sa=r(". One quirk of sentencepiece is that when decoding a sequence, if the first token is the start of the word (e.g. \u201CBanana\u201D), the tokenizer does not prepend the prefix space to the string. To have the tokenizer output the prefix space, set "),ro=n("code"),ra=r("decode_with_prefix_space=True"),ia=r(" in the "),io=n("code"),la=r("LlamaTokenizer"),da=r(" object or in the tokenizer configuration."),rn=d(),A=n("p"),ca=r("This model was contributed by "),Ne=n("a"),ma=r("zphang"),pa=r(" with contributions from "),Be=n("a"),ha=r("BlackSamorez"),fa=r(". The code of the implementation in Hugging Face is based on GPT-NeoX "),je=n("a"),ua=r("here"),_a=r(". The original code of the authors can be found "),We=n("a"),ga=r("here"),ka=r("."),ln=d(),K=n("h2"),ce=n("a"),lo=n("span"),k(He.$$.fragment),va=d(),co=n("span"),ba=r("LlamaConfig"),dn=d(),O=n("div"),k(Re.$$.fragment),ya=d(),Ge=n("p"),La=r("This is the configuration class to store the configuration of a "),qt=n("a"),$a=r("LlamaModel"),Ta=r(`. It is used to instantiate an LLaMA
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the LLaMA-7B.`),wa=d(),Z=n("p"),za=r("Configuration objects inherit from "),Ft=n("a"),Ea=r("PretrainedConfig"),Ma=r(` and can be used to control the model outputs. Read the
documentation from `),Pt=n("a"),Ca=r("PretrainedConfig"),xa=r(" for more information."),qa=d(),k(me.$$.fragment),cn=d(),Q=n("h2"),pe=n("a"),mo=n("span"),k(Ve.$$.fragment),Fa=d(),po=n("span"),Pa=r("LlamaTokenizer"),mn=d(),C=n("div"),k(Ue.$$.fragment),Aa=d(),ho=n("p"),Ia=r("Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),Oa=d(),At=n("div"),k(Xe.$$.fragment),Da=d(),he=n("div"),k(Je.$$.fragment),Sa=d(),Ke=n("p"),Na=r(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),fo=n("code"),Ba=r("prepare_for_model"),ja=r(" method."),Wa=d(),S=n("div"),k(Ze.$$.fragment),Ha=d(),uo=n("p"),Ra=r("Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),Ga=d(),k(fe.$$.fragment),Va=d(),_o=n("p"),Ua=r("if token_ids_1 is None, only returns the first portion of the mask (0s)."),Xa=d(),ue=n("div"),k(Qe.$$.fragment),Ja=d(),go=n("p"),Ka=r("Save the vocabulary and special tokens file to a directory."),pn=d(),Y=n("h2"),_e=n("a"),ko=n("span"),k(Ye.$$.fragment),Za=d(),vo=n("span"),Qa=r("LlamaTokenizerFast"),hn=d(),z=n("div"),k(et.$$.fragment),Ya=d(),bo=n("p"),es=r("Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),ts=d(),yo=n("p"),os=r("This uses notably ByteFallback and no normalization."),ns=d(),k(ge.$$.fragment),as=d(),tt=n("p"),ss=r("This tokenizer inherits from "),It=n("a"),rs=r("PreTrainedTokenizerFast"),is=r(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),ls=d(),W=n("div"),k(ot.$$.fragment),ds=d(),Lo=n("p"),cs=r(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens.`),ms=d(),$o=n("p"),ps=r("This implementation does not add special tokens and this method should be overridden in a subclass."),hs=d(),ke=n("div"),k(nt.$$.fragment),fs=d(),ee=n("p"),us=r(`Retrieves sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),To=n("code"),_s=r("prepare_for_model"),gs=r(" or "),wo=n("code"),ks=r("encode_plus"),vs=r(" methods."),bs=d(),H=n("div"),k(at.$$.fragment),ys=d(),Ot=n("p"),Ls=r("Create the token type IDs corresponding to the sequences passed. "),Dt=n("a"),$s=r(`What are token type
IDs?`),Ts=d(),zo=n("p"),ws=r("Should be overridden in a subclass if the model has a special way of building those."),zs=d(),St=n("div"),k(st.$$.fragment),fn=d(),te=n("h2"),ve=n("a"),Eo=n("span"),k(rt.$$.fragment),Es=d(),Mo=n("span"),Ms=r("LlamaModel"),un=d(),F=n("div"),k(it.$$.fragment),Cs=d(),lt=n("p"),xs=r(`The bare LLaMA Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Nt=n("a"),qs=r("PreTrainedModel"),Fs=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ps=d(),dt=n("p"),As=r("This model is also a PyTorch "),ct=n("a"),Is=r("torch.nn.Module"),Os=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ds=d(),be=n("p"),Ss=r("Transformer decoder consisting of "),Co=n("em"),Ns=r("config.num_hidden_layers"),Bs=r(" layers. Each layer is a "),xo=n("code"),js=r("LlamaDecoderLayer"),Ws=d(),R=n("div"),k(mt.$$.fragment),Hs=d(),oe=n("p"),Rs=r("The "),Bt=n("a"),Gs=r("LlamaModel"),Vs=r(" forward method, overrides the "),qo=n("code"),Us=r("__call__"),Xs=r(" special method."),Js=d(),k(ye.$$.fragment),_n=d(),ne=n("h2"),Le=n("a"),Fo=n("span"),k(pt.$$.fragment),Ks=d(),Po=n("span"),Zs=r("LlamaForCausalLM"),gn=d(),ae=n("div"),k(ht.$$.fragment),Qs=d(),N=n("div"),k(ft.$$.fragment),Ys=d(),se=n("p"),er=r("The "),jt=n("a"),tr=r("LlamaForCausalLM"),or=r(" forward method, overrides the "),Ao=n("code"),nr=r("__call__"),ar=r(" special method."),sr=d(),k($e.$$.fragment),rr=d(),k(Te.$$.fragment),kn=d(),re=n("h2"),we=n("a"),Io=n("span"),k(ut.$$.fragment),ir=d(),Oo=n("span"),lr=r("LlamaForSequenceClassification"),vn=d(),E=n("div"),k(_t.$$.fragment),dr=d(),Do=n("p"),cr=r("The LLaMa Model transformer with a sequence classification head on top (linear layer)."),mr=d(),Wt=n("p"),Ht=n("a"),pr=r("LlamaForSequenceClassification"),hr=r(` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),fr=d(),D=n("p"),ur=r(`Since it does classification on the last token, it requires to know the position of the last token. If a
`),So=n("code"),_r=r("pad_token_id"),gr=r(` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),No=n("code"),kr=r("pad_token_id"),vr=r(` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Bo=n("code"),br=r("inputs_embeds"),yr=r(" are passed instead of "),jo=n("code"),Lr=r("input_ids"),$r=r(`, it does the same (take the last value in
each row of the batch).`),Tr=d(),gt=n("p"),wr=r("This model inherits from "),Rt=n("a"),zr=r("PreTrainedModel"),Er=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Mr=d(),kt=n("p"),Cr=r("This model is also a PyTorch "),vt=n("a"),xr=r("torch.nn.Module"),qr=r(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Fr=d(),G=n("div"),k(bt.$$.fragment),Pr=d(),ie=n("p"),Ar=r("The "),Gt=n("a"),Ir=r("LlamaForSequenceClassification"),Or=r(" forward method, overrides the "),Wo=n("code"),Dr=r("__call__"),Sr=r(" special method."),Nr=d(),k(ze.$$.fragment),this.h()},l(t){const m=hl('[data-svelte="svelte-1phssyn"]',document.head);p=a(m,"META",{name:!0,content:!0}),m.forEach(o),T=c(t),h=a(t,"H1",{class:!0});var yt=s(h);_=a(yt,"A",{id:!0,class:!0,href:!0});var Ho=s(_);w=a(Ho,"SPAN",{});var Ro=s(w);v(f.$$.fragment,Ro),Ro.forEach(o),Ho.forEach(o),g=c(yt),P=a(yt,"SPAN",{});var Go=s(P);Wn=i(Go,"LLaMA"),Go.forEach(o),yt.forEach(o),Jo=c(t),J=a(t,"H2",{class:!0});var Lt=s(J);le=a(Lt,"A",{id:!0,class:!0,href:!0});var Vo=s(le);oo=a(Vo,"SPAN",{});var Uo=s(oo);v(Fe.$$.fragment,Uo),Uo.forEach(o),Vo.forEach(o),Hn=c(Lt),no=a(Lt,"SPAN",{});var Rr=s(no);Rn=i(Rr,"Overview"),Rr.forEach(o),Lt.forEach(o),Ko=c(t),$t=a(t,"P",{});var Gr=s($t);Gn=i(Gr,"The LLaMA model was proposed in [LLaMA: Open and Efficient Foundation Language Models](LLaMA: Open and Efficient Foundation Language Models)  by Hugo Touvron, Thibaut Lavril, Gautier Izacard, Xavier Martinet, Marie-Anne Lachaux, Timoth\xE9e Lacroix, Baptiste Rozi\xE8re, Naman Goyal, Eric Hambro, Faisal Azhar, Aurelien Rodriguez, Armand Joulin, Edouard Grave, Guillaume Lample. It is a collection of foundation language models ranging from 7B to 65B parameters."),Gr.forEach(o),Zo=c(t),Tt=a(t,"P",{});var Vr=s(Tt);Vn=i(Vr,"The abstract from the paper is the following:"),Vr.forEach(o),Qo=c(t),wt=a(t,"P",{});var Ur=s(wt);ao=a(Ur,"EM",{});var Xr=s(ao);Un=i(Xr,"We introduce LLaMA, a collection of foundation language models ranging from 7B to 65B parameters. We train our models on trillions of tokens, and show that it is possible to train state-of-the-art models using publicly available datasets exclusively, without resorting to proprietary and inaccessible datasets. In particular, LLaMA-13B outperforms GPT-3 (175B) on most benchmarks, and LLaMA-65B is competitive with the best models, Chinchilla-70B and PaLM-540B. We release all our models to the research community."),Xr.forEach(o),Ur.forEach(o),Yo=c(t),zt=a(t,"P",{});var Jr=s(zt);Xn=i(Jr,"Tips:"),Jr.forEach(o),en=c(t),de=a(t,"UL",{});var yn=s(de);Et=a(yn,"LI",{});var Br=s(Et);Jn=i(Br,"Weights for the LLaMA models can be obtained from by filling out "),Pe=a(Br,"A",{href:!0,rel:!0});var Kr=s(Pe);Kn=i(Kr,"this form"),Kr.forEach(o),Br.forEach(o),Zn=c(yn),Ae=a(yn,"LI",{});var Ln=s(Ae);Qn=i(Ln,"After downloading the weights, they will need to be converted to the Hugging Face Transformers format using the "),Ie=a(Ln,"A",{href:!0,rel:!0});var Zr=s(Ie);Yn=i(Zr,"conversion script"),Zr.forEach(o),ea=i(Ln,". The script can be called with the following (example) command:"),Ln.forEach(o),yn.forEach(o),tn=c(t),v(Oe.$$.fragment,t),on=c(t),Mt=a(t,"UL",{});var Qr=s(Mt);so=a(Qr,"LI",{});var Yr=s(so);ta=i(Yr,"After conversion, the model and tokenizer can be loaded via:"),Yr.forEach(o),Qr.forEach(o),nn=c(t),v(De.$$.fragment,t),an=c(t),Ct=a(t,"P",{});var ei=s(Ct);oa=i(ei,`Note that executing the script requires enough CPU RAM to host the whole model in float16 precision (even if the biggest versions
come in several checkpoints they each contain a part of each weight of the model, so we need to load them all in RAM). For the 65B model, it\u2019s thus 130GB of RAM needed.`),ei.forEach(o),sn=c(t),xt=a(t,"UL",{});var ti=s(xt);j=a(ti,"LI",{});var Ee=s(j);na=i(Ee,"The LLaMA tokenizer is based on "),Se=a(Ee,"A",{href:!0,rel:!0});var oi=s(Se);aa=i(oi,"sentencepiece"),oi.forEach(o),sa=i(Ee,". One quirk of sentencepiece is that when decoding a sequence, if the first token is the start of the word (e.g. \u201CBanana\u201D), the tokenizer does not prepend the prefix space to the string. To have the tokenizer output the prefix space, set "),ro=a(Ee,"CODE",{});var ni=s(ro);ra=i(ni,"decode_with_prefix_space=True"),ni.forEach(o),ia=i(Ee," in the "),io=a(Ee,"CODE",{});var ai=s(io);la=i(ai,"LlamaTokenizer"),ai.forEach(o),da=i(Ee," object or in the tokenizer configuration."),Ee.forEach(o),ti.forEach(o),rn=c(t),A=a(t,"P",{});var V=s(A);ca=i(V,"This model was contributed by "),Ne=a(V,"A",{href:!0,rel:!0});var si=s(Ne);ma=i(si,"zphang"),si.forEach(o),pa=i(V," with contributions from "),Be=a(V,"A",{href:!0,rel:!0});var ri=s(Be);ha=i(ri,"BlackSamorez"),ri.forEach(o),fa=i(V,". The code of the implementation in Hugging Face is based on GPT-NeoX "),je=a(V,"A",{href:!0,rel:!0});var ii=s(je);ua=i(ii,"here"),ii.forEach(o),_a=i(V,". The original code of the authors can be found "),We=a(V,"A",{href:!0,rel:!0});var li=s(We);ga=i(li,"here"),li.forEach(o),ka=i(V,"."),V.forEach(o),ln=c(t),K=a(t,"H2",{class:!0});var $n=s(K);ce=a($n,"A",{id:!0,class:!0,href:!0});var di=s(ce);lo=a(di,"SPAN",{});var ci=s(lo);v(He.$$.fragment,ci),ci.forEach(o),di.forEach(o),va=c($n),co=a($n,"SPAN",{});var mi=s(co);ba=i(mi,"LlamaConfig"),mi.forEach(o),$n.forEach(o),dn=c(t),O=a(t,"DIV",{class:!0});var Me=s(O);v(Re.$$.fragment,Me),ya=c(Me),Ge=a(Me,"P",{});var Tn=s(Ge);La=i(Tn,"This is the configuration class to store the configuration of a "),qt=a(Tn,"A",{href:!0});var pi=s(qt);$a=i(pi,"LlamaModel"),pi.forEach(o),Ta=i(Tn,`. It is used to instantiate an LLaMA
model according to the specified arguments, defining the model architecture. Instantiating a configuration with the
defaults will yield a similar configuration to that of the LLaMA-7B.`),Tn.forEach(o),wa=c(Me),Z=a(Me,"P",{});var Vt=s(Z);za=i(Vt,"Configuration objects inherit from "),Ft=a(Vt,"A",{href:!0});var hi=s(Ft);Ea=i(hi,"PretrainedConfig"),hi.forEach(o),Ma=i(Vt,` and can be used to control the model outputs. Read the
documentation from `),Pt=a(Vt,"A",{href:!0});var fi=s(Pt);Ca=i(fi,"PretrainedConfig"),fi.forEach(o),xa=i(Vt," for more information."),Vt.forEach(o),qa=c(Me),v(me.$$.fragment,Me),Me.forEach(o),cn=c(t),Q=a(t,"H2",{class:!0});var wn=s(Q);pe=a(wn,"A",{id:!0,class:!0,href:!0});var ui=s(pe);mo=a(ui,"SPAN",{});var _i=s(mo);v(Ve.$$.fragment,_i),_i.forEach(o),ui.forEach(o),Fa=c(wn),po=a(wn,"SPAN",{});var gi=s(po);Pa=i(gi,"LlamaTokenizer"),gi.forEach(o),wn.forEach(o),mn=c(t),C=a(t,"DIV",{class:!0});var B=s(C);v(Ue.$$.fragment,B),Aa=c(B),ho=a(B,"P",{});var ki=s(ho);Ia=i(ki,"Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),ki.forEach(o),Oa=c(B),At=a(B,"DIV",{class:!0});var vi=s(At);v(Xe.$$.fragment,vi),vi.forEach(o),Da=c(B),he=a(B,"DIV",{class:!0});var zn=s(he);v(Je.$$.fragment,zn),Sa=c(zn),Ke=a(zn,"P",{});var En=s(Ke);Na=i(En,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),fo=a(En,"CODE",{});var bi=s(fo);Ba=i(bi,"prepare_for_model"),bi.forEach(o),ja=i(En," method."),En.forEach(o),zn.forEach(o),Wa=c(B),S=a(B,"DIV",{class:!0});var Ce=s(S);v(Ze.$$.fragment,Ce),Ha=c(Ce),uo=a(Ce,"P",{});var yi=s(uo);Ra=i(yi,"Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),yi.forEach(o),Ga=c(Ce),v(fe.$$.fragment,Ce),Va=c(Ce),_o=a(Ce,"P",{});var Li=s(_o);Ua=i(Li,"if token_ids_1 is None, only returns the first portion of the mask (0s)."),Li.forEach(o),Ce.forEach(o),Xa=c(B),ue=a(B,"DIV",{class:!0});var Mn=s(ue);v(Qe.$$.fragment,Mn),Ja=c(Mn),go=a(Mn,"P",{});var $i=s(go);Ka=i($i,"Save the vocabulary and special tokens file to a directory."),$i.forEach(o),Mn.forEach(o),B.forEach(o),pn=c(t),Y=a(t,"H2",{class:!0});var Cn=s(Y);_e=a(Cn,"A",{id:!0,class:!0,href:!0});var Ti=s(_e);ko=a(Ti,"SPAN",{});var wi=s(ko);v(Ye.$$.fragment,wi),wi.forEach(o),Ti.forEach(o),Za=c(Cn),vo=a(Cn,"SPAN",{});var zi=s(vo);Qa=i(zi,"LlamaTokenizerFast"),zi.forEach(o),Cn.forEach(o),hn=c(t),z=a(t,"DIV",{class:!0});var M=s(z);v(et.$$.fragment,M),Ya=c(M),bo=a(M,"P",{});var Ei=s(bo);es=i(Ei,"Construct a Llama tokenizer. Based on byte-level Byte-Pair-Encoding."),Ei.forEach(o),ts=c(M),yo=a(M,"P",{});var Mi=s(yo);os=i(Mi,"This uses notably ByteFallback and no normalization."),Mi.forEach(o),ns=c(M),v(ge.$$.fragment,M),as=c(M),tt=a(M,"P",{});var xn=s(tt);ss=i(xn,"This tokenizer inherits from "),It=a(xn,"A",{href:!0});var Ci=s(It);rs=i(Ci,"PreTrainedTokenizerFast"),Ci.forEach(o),is=i(xn,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),xn.forEach(o),ls=c(M),W=a(M,"DIV",{class:!0});var Ut=s(W);v(ot.$$.fragment,Ut),ds=c(Ut),Lo=a(Ut,"P",{});var xi=s(Lo);cs=i(xi,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens.`),xi.forEach(o),ms=c(Ut),$o=a(Ut,"P",{});var qi=s($o);ps=i(qi,"This implementation does not add special tokens and this method should be overridden in a subclass."),qi.forEach(o),Ut.forEach(o),hs=c(M),ke=a(M,"DIV",{class:!0});var qn=s(ke);v(nt.$$.fragment,qn),fs=c(qn),ee=a(qn,"P",{});var Xt=s(ee);us=i(Xt,`Retrieves sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),To=a(Xt,"CODE",{});var Fi=s(To);_s=i(Fi,"prepare_for_model"),Fi.forEach(o),gs=i(Xt," or "),wo=a(Xt,"CODE",{});var Pi=s(wo);ks=i(Pi,"encode_plus"),Pi.forEach(o),vs=i(Xt," methods."),Xt.forEach(o),qn.forEach(o),bs=c(M),H=a(M,"DIV",{class:!0});var Jt=s(H);v(at.$$.fragment,Jt),ys=c(Jt),Ot=a(Jt,"P",{});var jr=s(Ot);Ls=i(jr,"Create the token type IDs corresponding to the sequences passed. "),Dt=a(jr,"A",{href:!0});var Ai=s(Dt);$s=i(Ai,`What are token type
IDs?`),Ai.forEach(o),jr.forEach(o),Ts=c(Jt),zo=a(Jt,"P",{});var Ii=s(zo);ws=i(Ii,"Should be overridden in a subclass if the model has a special way of building those."),Ii.forEach(o),Jt.forEach(o),zs=c(M),St=a(M,"DIV",{class:!0});var Oi=s(St);v(st.$$.fragment,Oi),Oi.forEach(o),M.forEach(o),fn=c(t),te=a(t,"H2",{class:!0});var Fn=s(te);ve=a(Fn,"A",{id:!0,class:!0,href:!0});var Di=s(ve);Eo=a(Di,"SPAN",{});var Si=s(Eo);v(rt.$$.fragment,Si),Si.forEach(o),Di.forEach(o),Es=c(Fn),Mo=a(Fn,"SPAN",{});var Ni=s(Mo);Ms=i(Ni,"LlamaModel"),Ni.forEach(o),Fn.forEach(o),un=c(t),F=a(t,"DIV",{class:!0});var U=s(F);v(it.$$.fragment,U),Cs=c(U),lt=a(U,"P",{});var Pn=s(lt);xs=i(Pn,`The bare LLaMA Model outputting raw hidden-states without any specific head on top.
This model inherits from `),Nt=a(Pn,"A",{href:!0});var Bi=s(Nt);qs=i(Bi,"PreTrainedModel"),Bi.forEach(o),Fs=i(Pn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Pn.forEach(o),Ps=c(U),dt=a(U,"P",{});var An=s(dt);As=i(An,"This model is also a PyTorch "),ct=a(An,"A",{href:!0,rel:!0});var ji=s(ct);Is=i(ji,"torch.nn.Module"),ji.forEach(o),Os=i(An,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),An.forEach(o),Ds=c(U),be=a(U,"P",{});var Xo=s(be);Ss=i(Xo,"Transformer decoder consisting of "),Co=a(Xo,"EM",{});var Wi=s(Co);Ns=i(Wi,"config.num_hidden_layers"),Wi.forEach(o),Bs=i(Xo," layers. Each layer is a "),xo=a(Xo,"CODE",{});var Hi=s(xo);js=i(Hi,"LlamaDecoderLayer"),Hi.forEach(o),Xo.forEach(o),Ws=c(U),R=a(U,"DIV",{class:!0});var Kt=s(R);v(mt.$$.fragment,Kt),Hs=c(Kt),oe=a(Kt,"P",{});var Zt=s(oe);Rs=i(Zt,"The "),Bt=a(Zt,"A",{href:!0});var Ri=s(Bt);Gs=i(Ri,"LlamaModel"),Ri.forEach(o),Vs=i(Zt," forward method, overrides the "),qo=a(Zt,"CODE",{});var Gi=s(qo);Us=i(Gi,"__call__"),Gi.forEach(o),Xs=i(Zt," special method."),Zt.forEach(o),Js=c(Kt),v(ye.$$.fragment,Kt),Kt.forEach(o),U.forEach(o),_n=c(t),ne=a(t,"H2",{class:!0});var In=s(ne);Le=a(In,"A",{id:!0,class:!0,href:!0});var Vi=s(Le);Fo=a(Vi,"SPAN",{});var Ui=s(Fo);v(pt.$$.fragment,Ui),Ui.forEach(o),Vi.forEach(o),Ks=c(In),Po=a(In,"SPAN",{});var Xi=s(Po);Zs=i(Xi,"LlamaForCausalLM"),Xi.forEach(o),In.forEach(o),gn=c(t),ae=a(t,"DIV",{class:!0});var On=s(ae);v(ht.$$.fragment,On),Qs=c(On),N=a(On,"DIV",{class:!0});var xe=s(N);v(ft.$$.fragment,xe),Ys=c(xe),se=a(xe,"P",{});var Qt=s(se);er=i(Qt,"The "),jt=a(Qt,"A",{href:!0});var Ji=s(jt);tr=i(Ji,"LlamaForCausalLM"),Ji.forEach(o),or=i(Qt," forward method, overrides the "),Ao=a(Qt,"CODE",{});var Ki=s(Ao);nr=i(Ki,"__call__"),Ki.forEach(o),ar=i(Qt," special method."),Qt.forEach(o),sr=c(xe),v($e.$$.fragment,xe),rr=c(xe),v(Te.$$.fragment,xe),xe.forEach(o),On.forEach(o),kn=c(t),re=a(t,"H2",{class:!0});var Dn=s(re);we=a(Dn,"A",{id:!0,class:!0,href:!0});var Zi=s(we);Io=a(Zi,"SPAN",{});var Qi=s(Io);v(ut.$$.fragment,Qi),Qi.forEach(o),Zi.forEach(o),ir=c(Dn),Oo=a(Dn,"SPAN",{});var Yi=s(Oo);lr=i(Yi,"LlamaForSequenceClassification"),Yi.forEach(o),Dn.forEach(o),vn=c(t),E=a(t,"DIV",{class:!0});var I=s(E);v(_t.$$.fragment,I),dr=c(I),Do=a(I,"P",{});var el=s(Do);cr=i(el,"The LLaMa Model transformer with a sequence classification head on top (linear layer)."),el.forEach(o),mr=c(I),Wt=a(I,"P",{});var Wr=s(Wt);Ht=a(Wr,"A",{href:!0});var tl=s(Ht);pr=i(tl,"LlamaForSequenceClassification"),tl.forEach(o),hr=i(Wr,` uses the last token in order to do the classification, as other causal models
(e.g. GPT-2) do.`),Wr.forEach(o),fr=c(I),D=a(I,"P",{});var X=s(D);ur=i(X,`Since it does classification on the last token, it requires to know the position of the last token. If a
`),So=a(X,"CODE",{});var ol=s(So);_r=i(ol,"pad_token_id"),ol.forEach(o),gr=i(X,` is defined in the configuration, it finds the last token that is not a padding token in each row. If
no `),No=a(X,"CODE",{});var nl=s(No);kr=i(nl,"pad_token_id"),nl.forEach(o),vr=i(X,` is defined, it simply takes the last value in each row of the batch. Since it cannot guess the
padding tokens when `),Bo=a(X,"CODE",{});var al=s(Bo);br=i(al,"inputs_embeds"),al.forEach(o),yr=i(X," are passed instead of "),jo=a(X,"CODE",{});var sl=s(jo);Lr=i(sl,"input_ids"),sl.forEach(o),$r=i(X,`, it does the same (take the last value in
each row of the batch).`),X.forEach(o),Tr=c(I),gt=a(I,"P",{});var Sn=s(gt);wr=i(Sn,"This model inherits from "),Rt=a(Sn,"A",{href:!0});var rl=s(Rt);zr=i(rl,"PreTrainedModel"),rl.forEach(o),Er=i(Sn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sn.forEach(o),Mr=c(I),kt=a(I,"P",{});var Nn=s(kt);Cr=i(Nn,"This model is also a PyTorch "),vt=a(Nn,"A",{href:!0,rel:!0});var il=s(vt);xr=i(il,"torch.nn.Module"),il.forEach(o),qr=i(Nn,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Nn.forEach(o),Fr=c(I),G=a(I,"DIV",{class:!0});var Yt=s(G);v(bt.$$.fragment,Yt),Pr=c(Yt),ie=a(Yt,"P",{});var eo=s(ie);Ar=i(eo,"The "),Gt=a(eo,"A",{href:!0});var ll=s(Gt);Ir=i(ll,"LlamaForSequenceClassification"),ll.forEach(o),Or=i(eo," forward method, overrides the "),Wo=a(eo,"CODE",{});var dl=s(Wo);Dr=i(dl,"__call__"),dl.forEach(o),Sr=i(eo," special method."),eo.forEach(o),Nr=c(Yt),v(ze.$$.fragment,Yt),Yt.forEach(o),I.forEach(o),this.h()},h(){l(p,"name","hf:doc:metadata"),l(p,"content",JSON.stringify($l)),l(_,"id","llama"),l(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_,"href","#llama"),l(h,"class","relative group"),l(le,"id","overview"),l(le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(le,"href","#overview"),l(J,"class","relative group"),l(Pe,"href","https://docs.google.com/forms/d/e/1FAIpQLSfqNECQnMkycAp2jP4Z9TFX0cGR4uf7b_fBxjY_OjhJILlKGA/viewform?usp=send_form"),l(Pe,"rel","nofollow"),l(Ie,"href","https://github.com/huggingface/transformers/blob/main/src/transformers/models/llama/convert_llama_weights_to_hf.py"),l(Ie,"rel","nofollow"),l(Se,"href","https://github.com/google/sentencepiece"),l(Se,"rel","nofollow"),l(Ne,"href","https://huggingface.co/zphang"),l(Ne,"rel","nofollow"),l(Be,"href","https://huggingface.co/BlackSamorez"),l(Be,"rel","nofollow"),l(je,"href","https://github.com/EleutherAI/gpt-neox"),l(je,"rel","nofollow"),l(We,"href","https://github.com/facebookresearch/llama"),l(We,"rel","nofollow"),l(ce,"id","transformers.LlamaConfig"),l(ce,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ce,"href","#transformers.LlamaConfig"),l(K,"class","relative group"),l(qt,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaModel"),l(Ft,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Pt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(pe,"id","transformers.LlamaTokenizer"),l(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(pe,"href","#transformers.LlamaTokenizer"),l(Q,"class","relative group"),l(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(_e,"id","transformers.LlamaTokenizerFast"),l(_e,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(_e,"href","#transformers.LlamaTokenizerFast"),l(Y,"class","relative group"),l(It,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Dt,"href","../glossary#token-type-ids"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ve,"id","transformers.LlamaModel"),l(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ve,"href","#transformers.LlamaModel"),l(te,"class","relative group"),l(Nt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(ct,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(ct,"rel","nofollow"),l(Bt,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaModel"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Le,"id","transformers.LlamaForCausalLM"),l(Le,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Le,"href","#transformers.LlamaForCausalLM"),l(ne,"class","relative group"),l(jt,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaForCausalLM"),l(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(we,"id","transformers.LlamaForSequenceClassification"),l(we,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(we,"href","#transformers.LlamaForSequenceClassification"),l(re,"class","relative group"),l(Ht,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaForSequenceClassification"),l(Rt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(vt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(vt,"rel","nofollow"),l(Gt,"href","/docs/transformers/main/en/model_doc/llama#transformers.LlamaForSequenceClassification"),l(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,p),u(t,T,m),u(t,h,m),e(h,_),e(_,w),b(f,w,null),e(h,g),e(h,P),e(P,Wn),u(t,Jo,m),u(t,J,m),e(J,le),e(le,oo),b(Fe,oo,null),e(J,Hn),e(J,no),e(no,Rn),u(t,Ko,m),u(t,$t,m),e($t,Gn),u(t,Zo,m),u(t,Tt,m),e(Tt,Vn),u(t,Qo,m),u(t,wt,m),e(wt,ao),e(ao,Un),u(t,Yo,m),u(t,zt,m),e(zt,Xn),u(t,en,m),u(t,de,m),e(de,Et),e(Et,Jn),e(Et,Pe),e(Pe,Kn),e(de,Zn),e(de,Ae),e(Ae,Qn),e(Ae,Ie),e(Ie,Yn),e(Ae,ea),u(t,tn,m),b(Oe,t,m),u(t,on,m),u(t,Mt,m),e(Mt,so),e(so,ta),u(t,nn,m),b(De,t,m),u(t,an,m),u(t,Ct,m),e(Ct,oa),u(t,sn,m),u(t,xt,m),e(xt,j),e(j,na),e(j,Se),e(Se,aa),e(j,sa),e(j,ro),e(ro,ra),e(j,ia),e(j,io),e(io,la),e(j,da),u(t,rn,m),u(t,A,m),e(A,ca),e(A,Ne),e(Ne,ma),e(A,pa),e(A,Be),e(Be,ha),e(A,fa),e(A,je),e(je,ua),e(A,_a),e(A,We),e(We,ga),e(A,ka),u(t,ln,m),u(t,K,m),e(K,ce),e(ce,lo),b(He,lo,null),e(K,va),e(K,co),e(co,ba),u(t,dn,m),u(t,O,m),b(Re,O,null),e(O,ya),e(O,Ge),e(Ge,La),e(Ge,qt),e(qt,$a),e(Ge,Ta),e(O,wa),e(O,Z),e(Z,za),e(Z,Ft),e(Ft,Ea),e(Z,Ma),e(Z,Pt),e(Pt,Ca),e(Z,xa),e(O,qa),b(me,O,null),u(t,cn,m),u(t,Q,m),e(Q,pe),e(pe,mo),b(Ve,mo,null),e(Q,Fa),e(Q,po),e(po,Pa),u(t,mn,m),u(t,C,m),b(Ue,C,null),e(C,Aa),e(C,ho),e(ho,Ia),e(C,Oa),e(C,At),b(Xe,At,null),e(C,Da),e(C,he),b(Je,he,null),e(he,Sa),e(he,Ke),e(Ke,Na),e(Ke,fo),e(fo,Ba),e(Ke,ja),e(C,Wa),e(C,S),b(Ze,S,null),e(S,Ha),e(S,uo),e(uo,Ra),e(S,Ga),b(fe,S,null),e(S,Va),e(S,_o),e(_o,Ua),e(C,Xa),e(C,ue),b(Qe,ue,null),e(ue,Ja),e(ue,go),e(go,Ka),u(t,pn,m),u(t,Y,m),e(Y,_e),e(_e,ko),b(Ye,ko,null),e(Y,Za),e(Y,vo),e(vo,Qa),u(t,hn,m),u(t,z,m),b(et,z,null),e(z,Ya),e(z,bo),e(bo,es),e(z,ts),e(z,yo),e(yo,os),e(z,ns),b(ge,z,null),e(z,as),e(z,tt),e(tt,ss),e(tt,It),e(It,rs),e(tt,is),e(z,ls),e(z,W),b(ot,W,null),e(W,ds),e(W,Lo),e(Lo,cs),e(W,ms),e(W,$o),e($o,ps),e(z,hs),e(z,ke),b(nt,ke,null),e(ke,fs),e(ke,ee),e(ee,us),e(ee,To),e(To,_s),e(ee,gs),e(ee,wo),e(wo,ks),e(ee,vs),e(z,bs),e(z,H),b(at,H,null),e(H,ys),e(H,Ot),e(Ot,Ls),e(Ot,Dt),e(Dt,$s),e(H,Ts),e(H,zo),e(zo,ws),e(z,zs),e(z,St),b(st,St,null),u(t,fn,m),u(t,te,m),e(te,ve),e(ve,Eo),b(rt,Eo,null),e(te,Es),e(te,Mo),e(Mo,Ms),u(t,un,m),u(t,F,m),b(it,F,null),e(F,Cs),e(F,lt),e(lt,xs),e(lt,Nt),e(Nt,qs),e(lt,Fs),e(F,Ps),e(F,dt),e(dt,As),e(dt,ct),e(ct,Is),e(dt,Os),e(F,Ds),e(F,be),e(be,Ss),e(be,Co),e(Co,Ns),e(be,Bs),e(be,xo),e(xo,js),e(F,Ws),e(F,R),b(mt,R,null),e(R,Hs),e(R,oe),e(oe,Rs),e(oe,Bt),e(Bt,Gs),e(oe,Vs),e(oe,qo),e(qo,Us),e(oe,Xs),e(R,Js),b(ye,R,null),u(t,_n,m),u(t,ne,m),e(ne,Le),e(Le,Fo),b(pt,Fo,null),e(ne,Ks),e(ne,Po),e(Po,Zs),u(t,gn,m),u(t,ae,m),b(ht,ae,null),e(ae,Qs),e(ae,N),b(ft,N,null),e(N,Ys),e(N,se),e(se,er),e(se,jt),e(jt,tr),e(se,or),e(se,Ao),e(Ao,nr),e(se,ar),e(N,sr),b($e,N,null),e(N,rr),b(Te,N,null),u(t,kn,m),u(t,re,m),e(re,we),e(we,Io),b(ut,Io,null),e(re,ir),e(re,Oo),e(Oo,lr),u(t,vn,m),u(t,E,m),b(_t,E,null),e(E,dr),e(E,Do),e(Do,cr),e(E,mr),e(E,Wt),e(Wt,Ht),e(Ht,pr),e(Wt,hr),e(E,fr),e(E,D),e(D,ur),e(D,So),e(So,_r),e(D,gr),e(D,No),e(No,kr),e(D,vr),e(D,Bo),e(Bo,br),e(D,yr),e(D,jo),e(jo,Lr),e(D,$r),e(E,Tr),e(E,gt),e(gt,wr),e(gt,Rt),e(Rt,zr),e(gt,Er),e(E,Mr),e(E,kt),e(kt,Cr),e(kt,vt),e(vt,xr),e(kt,qr),e(E,Fr),e(E,G),b(bt,G,null),e(G,Pr),e(G,ie),e(ie,Ar),e(ie,Gt),e(Gt,Ir),e(ie,Or),e(ie,Wo),e(Wo,Dr),e(ie,Sr),e(G,Nr),b(ze,G,null),bn=!0},p(t,[m]){const yt={};m&2&&(yt.$$scope={dirty:m,ctx:t}),me.$set(yt);const Ho={};m&2&&(Ho.$$scope={dirty:m,ctx:t}),fe.$set(Ho);const Ro={};m&2&&(Ro.$$scope={dirty:m,ctx:t}),ge.$set(Ro);const Go={};m&2&&(Go.$$scope={dirty:m,ctx:t}),ye.$set(Go);const Lt={};m&2&&(Lt.$$scope={dirty:m,ctx:t}),$e.$set(Lt);const Vo={};m&2&&(Vo.$$scope={dirty:m,ctx:t}),Te.$set(Vo);const Uo={};m&2&&(Uo.$$scope={dirty:m,ctx:t}),ze.$set(Uo)},i(t){bn||(y(f.$$.fragment,t),y(Fe.$$.fragment,t),y(Oe.$$.fragment,t),y(De.$$.fragment,t),y(He.$$.fragment,t),y(Re.$$.fragment,t),y(me.$$.fragment,t),y(Ve.$$.fragment,t),y(Ue.$$.fragment,t),y(Xe.$$.fragment,t),y(Je.$$.fragment,t),y(Ze.$$.fragment,t),y(fe.$$.fragment,t),y(Qe.$$.fragment,t),y(Ye.$$.fragment,t),y(et.$$.fragment,t),y(ge.$$.fragment,t),y(ot.$$.fragment,t),y(nt.$$.fragment,t),y(at.$$.fragment,t),y(st.$$.fragment,t),y(rt.$$.fragment,t),y(it.$$.fragment,t),y(mt.$$.fragment,t),y(ye.$$.fragment,t),y(pt.$$.fragment,t),y(ht.$$.fragment,t),y(ft.$$.fragment,t),y($e.$$.fragment,t),y(Te.$$.fragment,t),y(ut.$$.fragment,t),y(_t.$$.fragment,t),y(bt.$$.fragment,t),y(ze.$$.fragment,t),bn=!0)},o(t){L(f.$$.fragment,t),L(Fe.$$.fragment,t),L(Oe.$$.fragment,t),L(De.$$.fragment,t),L(He.$$.fragment,t),L(Re.$$.fragment,t),L(me.$$.fragment,t),L(Ve.$$.fragment,t),L(Ue.$$.fragment,t),L(Xe.$$.fragment,t),L(Je.$$.fragment,t),L(Ze.$$.fragment,t),L(fe.$$.fragment,t),L(Qe.$$.fragment,t),L(Ye.$$.fragment,t),L(et.$$.fragment,t),L(ge.$$.fragment,t),L(ot.$$.fragment,t),L(nt.$$.fragment,t),L(at.$$.fragment,t),L(st.$$.fragment,t),L(rt.$$.fragment,t),L(it.$$.fragment,t),L(mt.$$.fragment,t),L(ye.$$.fragment,t),L(pt.$$.fragment,t),L(ht.$$.fragment,t),L(ft.$$.fragment,t),L($e.$$.fragment,t),L(Te.$$.fragment,t),L(ut.$$.fragment,t),L(_t.$$.fragment,t),L(bt.$$.fragment,t),L(ze.$$.fragment,t),bn=!1},d(t){o(p),t&&o(T),t&&o(h),$(f),t&&o(Jo),t&&o(J),$(Fe),t&&o(Ko),t&&o($t),t&&o(Zo),t&&o(Tt),t&&o(Qo),t&&o(wt),t&&o(Yo),t&&o(zt),t&&o(en),t&&o(de),t&&o(tn),$(Oe,t),t&&o(on),t&&o(Mt),t&&o(nn),$(De,t),t&&o(an),t&&o(Ct),t&&o(sn),t&&o(xt),t&&o(rn),t&&o(A),t&&o(ln),t&&o(K),$(He),t&&o(dn),t&&o(O),$(Re),$(me),t&&o(cn),t&&o(Q),$(Ve),t&&o(mn),t&&o(C),$(Ue),$(Xe),$(Je),$(Ze),$(fe),$(Qe),t&&o(pn),t&&o(Y),$(Ye),t&&o(hn),t&&o(z),$(et),$(ge),$(ot),$(nt),$(at),$(st),t&&o(fn),t&&o(te),$(rt),t&&o(un),t&&o(F),$(it),$(mt),$(ye),t&&o(_n),t&&o(ne),$(pt),t&&o(gn),t&&o(ae),$(ht),$(ft),$($e),$(Te),t&&o(kn),t&&o(re),$(ut),t&&o(vn),t&&o(E),$(_t),$(bt),$(ze)}}}const $l={local:"llama",sections:[{local:"overview",title:"Overview"},{local:"transformers.LlamaConfig",title:"LlamaConfig"},{local:"transformers.LlamaTokenizer",title:"LlamaTokenizer"},{local:"transformers.LlamaTokenizerFast",title:"LlamaTokenizerFast"},{local:"transformers.LlamaModel",title:"LlamaModel"},{local:"transformers.LlamaForCausalLM",title:"LlamaForCausalLM"},{local:"transformers.LlamaForSequenceClassification",title:"LlamaForSequenceClassification"}],title:"LLaMA"};function Tl(q){return fl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ql extends cl{constructor(p){super();ml(this,p,Tl,Ll,pl,{})}}export{ql as default,$l as metadata};
